Kerbal Space Program - Bug #5007

Space Station docking ports all fail to undock
05/15/2015 09:57 PM - Wolfe_BTV

Status: Confirmed Start date: 05/15/2015
Severity: Normal % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.1 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Note: This isin 1.0.2

| have a space station with a number of docking ports, all of which fail to disconnect when using the "Undock" action. After | click the
"undock" button the action is removed but the ports remain firmly attached. The "undock" action no longer appears in the docking
port menu, until | switch to the space center and then back to the station. The station has behaved normally up until now, and has
been docked with a fair number of times.

The savefile is attached, the problem station is the "Mun Fuel Station". I've been focused on undocking the 4-engine lander, but
have also tried undocking various other parts. This career was started in 1.0+, no mods have been used.

This problem persists across quick-reloads, full reloads, and restarting the game.

History

#1 - 05/18/2015 07:02 PM - sdelisle

I'm observing the same behavior with your station on Windows. | wonder if the struts across some docked sections can confuse the game somehow?
It's the only thing out of the ordinary that | notice on your station.

#2 - 05/21/2015 05:59 PM - Toodzi

| have the same problem (on Linux too). There is no strut between the sections | want to separate though (they were even assembled from different
launches).

#3 - 05/21/2015 07:43 PM - Wolfe_BTV

sdelisle wrote:
I'm observing the same behavior with your station on Windows. | wonder if the struts across some docked sections can confuse the game
somehow? It's the only thing out of the ordinary that | notice on your station.

Thanks for checking. The "struts" are actually landing legs set up with clipping--an attempt to add a little more rigidity between tanks.

The station allowed undocking while they were a part of it, so | don't suspect that they're the smoking gun.

#4 - 04/10/2016 01:27 PM - Sonny_Jim

- File quicksave.zip added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Having the same problem, except that switching to the space center does nothing to fix it. Save was a brand new save in 1.0.5. Mods installed are
KER, KAC, MJ, Navyfish DPA, ship affected is MinLab in orbit around Minmus

To reiterate, click on "undock", undock disappears from context menu, ships stay attached

#5 - 04/18/2016 02:43 PM - andrei.macaria

Sonny_Jim wrote:
Having the same problem, except that switching to the space center does nothing to fix it. Save was a brand new save in 1.0.5. Mods installed
are KER, KAC, MJ, Navyfish DPA, ship affected is MinLab in orbit around Minmus

To reiterate, click on "undock”, undock disappears from context menu, ships stay attached

| encountered this too. KSP v 1.0.5, linux x64, mods: KER, KAC, MJ, FAR, kOS, RT, TAC, KJR (and miscellaneous). If my savefile helps, shout and |
will upload. Just posting to confirm bug.

EDIT [15 july 2016]: This bug should be tagged for version 1.1.3 . | encountered it again. New install, new savegame, no KJR mod installed (and on
windows x64 also).

#6 - 06/02/2016 05:35 PM - schneida

- File undock_me_please.sfs added

| encountered this bug in unmodded completely stock steam Kerbal Space Program - 1.1.2.1260 (WindowsPlayer), build id = 01260 2016.04.30 at
11:49:48 CEST Branch: master.

There is only one docking port and | think there are now special struts that could cause the problem (ships were assembled separately). The docking
was pretty rough, since it was my very first one - still nothing broke and | would expect to be able to undock... The ship in question is called
"SciencelLabStarter". Hope my save game helps.

#7 - 07/03/2016 03:04 PM - RealGecko
| have this in 1.1.3 build 1289.

#8 - 07/05/2016 09:12 PM - OutboundProject
- File quicksave (2016_07_05_21_19_59).sfs copy added

| can also confirm the issue on version 1.1.3.1289 (unmodded), platform: Macintosh. | now have two pairs of Clamp-o-Trons on my MAV4n orbital
station which are failing to undock as described above. SFS file attached.

#9 - 07/25/2016 02:45 AM - Yagami007

I am having this issue also. | docked a fuel tank module to my low kerbin orbit station core, and clicked undock. Nothing happened and "undock"
button disappeared.

EDIT: Using several mods on Windows 7

#10 - 08/02/2016 01:27 PM - Phoenix_ZA

- File quicksave.sfs added

Hello

Same issue. | clicked on undock for the docking port of a Hauler ship connected to my ship called Odyssey in orbit over Kerbin and then nothing
happened and | lost the option to undock. Attached is my save file.
| am on Elementary OS 0.3.2 (based on Ubuntu 14.04) and am running v1.1.3.1289 of KSP with no mods at all.

#11 - 08/05/2016 12:57 PM - pandive
- File 20160805141235_1.jpg added

- File 20160805141336_1.jpg added

- File 20160805141357 _1.jpg added

- File persistent.sfs.tar.gz added

- File quicksave #46.sfs.tar.gz added

Same issue. Between 2 ¢.-O-T. DP Jr. on "space maint core 1 Probe" over Kerbin. And on my "mun station 1" over Mun between a c¢.-O-T. Shielded
DP and a ¢.-O-T. DP and between 2 c.-O-T. DP. Note for the last one, | made the undock with success (both ports were separated correctly) then |
immediately switch to an other vessel near the station (to do another undocking) and when | switch back to the station the bug was here. | run the
game on Steam v. 1.1.3.1289 (x64) on win 7. No mod at all (never). | check the local files. 2 corrupted files fund (20.5 ko) and corrected but the bug is
still here. | joint persistent.sfs.tar.gz, quicksave #46.sfs.tar.gz and 3 srceenshots.

Thank you for your awesome game :)

#12 - 08/17/2016 04:31 AM - sgtnoodle

| encountered this problem recently as well. 1.1.3 on linux.
#13 - 08/27/2016 01:25 PM - BORG

Have not seen this for a while but | am now back at editing the save files to be able to undock.

Version 1.1.3.1289.

#14 - 08/29/2016 05:32 AM - shingar
- File screenshot1.png added

Hello, sorry for my english

got it, and it almost ruined my career =(

it seems problem appears when Docking Port(DP) is under Airstream Protective Shell(APS).
for test buid structure from scr1, then go Launch, Deploy APS, Decoupe node from DP - after it Upper DP jumping up and docking with Lover DP, we

have Udocking in menu, press it - bug is here.

now Revert flight, go to VAB and Delete fairing from APS, go Launch, Decoupe node, and Undocking will work like it should.

playing Steam version on win7

thanks for great game, hope u can fix it!
